## bmap-tools 2.5

=== packaging/Makefile ===
PKG_NAME := bmap-tools
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
PKG_VERSION := $(shell grep '^Version: ' $(SPECFILE)|awk '{print $$2}')

TARBALL := $(PKG_NAME)_$(PKG_VERSION).tar.gz

dsc: $(TARBALL)
		$(eval MD5=$(shell md5sum $(TARBALL) | sed "s/  / $(shell stat -c '%s' $(TARBALL)) /"))
			@sed  -i 's/^Version:.*/Version: $(PKG_VERSION)/' $(PKG_NAME).dsc
			@sed  -i 's/ [a-f0-9]\+ [0-9]\+ $(PKG_NAME).*tar.*/ $(MD5)/' $(PKG_NAME).dsc

tarball: $(TARBALL)
$(TARBALL):
		cd "$$(git rev-parse --show-toplevel)" \
			&& git archive --prefix $(PKG_NAME)-$(PKG_VERSION)/ HEAD \
			| gzip > "$(CURDIR)/$(TARBALL)"

clean:
		rm -f $(PKG_NAME)*.tar.gz

all: clean tarball dsc

## bmap-tools 2.0

=== debian/changelog ===
bmap-tools (2.0-1) unstable; urgency=low

  * Fix the an issue with running out of memory in TransRead.py.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Thu, 17 Jan 2013 11:33:15 +0200

bmap-tools (2.0-0.rc5) unstable; urgency=low

  * When block device optimzations fail - raise an exception except of muting
    the error, because we really want to know about these failures and possibly
    fix them.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Tue, 15 Jan 2013 14:51:27 +0200

bmap-tools (2.0-0.rc4) unstable; urgency=low

  * Fix bmap autodiscovery.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Thu, 10 Jan 2013 13:58:07 +0200

bmap-tools (2.0-0.rc3) unstable; urgency=low

  * Fix uncaught urllib2 exception bug introduced in rc1.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Mon, 07 Jan 2013 10:19:49 +0200

bmap-tools (2.0-0.rc2) unstable; urgency=low

  * Fix writing to block devices, which was broken in rc1.
  * Make the informational messages a bit nicer.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Fri, 04 Jan 2013 09:52:41 +0200

bmap-tools (2.0-0.rc1) unstable; urgency=low

  * Allow copying without bmap only if --nobmap was specified.
  * Auto-discover the bmap file.
  * Support reading from URLs.
  * Implement progress bar.
  * Highlight error and warning messages with red and yellow labels.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Thu, 20 Dec 2012 10:47:00 +0200

bmap-tools (1.0-1) unstable; urgency=low

  * Release version 1.0 of the tools - almost identical to 1.0-rc7 except of few
    minor differences like spelling fixes.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Mon, 03 Dec 2012 10:00:33 +0200

bmap-tools (1.0-0.rc7) unstable; urgency=low

  * Add a Fiemap.py module which implements python API to the linux FIEMAP ioct.
  * Use the FIEMAP ioctl properly and optimally.
  * Add unit-tests, current test coverage is 66%.
  * A lot of core rerafactoring.
  * Several bug fixes in 'BmapCopy' (e.g., .tar.gz format support was broken).
  * Add README and RELEASE_NOTES files.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Thu, 29 Nov 2012 12:29:39 +0200

bmap-tools (0.6) unstable; urgency=low

  * Improve the base API test to cover the case when there is no bmap.
  * Fix a bug when copying without bmap.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 21 Nov 2012 16:43:49 +0200

bmap-tools (0.5) unstable; urgency=low

  * Fix handling of bmap files which contain ranges with only one block.
  * Restore the block device settings which we change on exit.
  * Change block device settings correctly for partitions.
  * Rework API modules to accept file-like objects, not only paths.
  * Fix and silence pylint warnings.
  * Implement the base API test-case.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Tue, 20 Nov 2012 15:40:30 +0200

bmap-tools (0.4) unstable; urgency=low

  * Improved compressed images flashing speed by exploiting multiple threads:
    now we read/decompress the image in one thread and write it in a different
    thread.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 14 Nov 2012 12:35:06 +0200

bmap-tools (0.3) unstable; urgency=low

  * Fix flashing speed calculations
  * Fix the Ctrl-C freeze issue - now we synchronize the block device
    periodically so if a Ctrl-C interruption happens, we terminate withen few
    seconds.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Tue, 13 Nov 2012 10:56:11 +0200

bmap-tools (0.2) unstable; urgency=low

  * Release 0.2 - mostly internal code re-structuring and renamings,
    not much functional changes.
  * The 'bmap-flasher' and 'bmap-creator' tools do not exist anymore. Now
    we have 'bmaptool' which supports 'copy' and 'create' sub-commands instead.
  * The BmapFlasher module was also re-named to BmapCopy.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Fri, 09 Nov 2012 12:20:37 +0200

bmap-tools (0.1.1) unstable; urgency=low

  * Release 0.1.1 - a lot of fixes and speed improvements.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 07 Nov 2012 11:36:29 +0200

bmap-tools (0.1.0) unstable; urgency=low

  * Initial release.

 -- Ed Bartosh <eduard.bartosh@intel.com>  Sun, 27 Oct 2012 22:31:28 +0300

=== debian/control ===
Source: bmap-tools
Maintainer: Artem Bityutskiy <artem.bityutskiy@linux.intel.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7), python-all, python-distribute
Standards-Version: 3.8.4
XS-Python-Version: current

Package: bmap-tools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python (>=2.7)
XB-Python-Version: ${python:Versions}
Description: Bmap tools
 Bmap-flasher - Flash an image file to a block device using the block map (bmap)

## bmap-tools 2.2

=== debian/changelog ===
bmap-tools (2.2-1) unstable; urgency=low

  * Support username and password in URLs.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Mon, 11 Mar 2013 14:40:17 +0200

bmap-tools (2.1-1) unstable; urgency=low

  * Fix out of memory issues when copying .bz2 files.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com> Mon, 18 Feb 2013 16:38:32 +0200

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0 at
# Wed, 26 Sep 2012 12:22:04 +0300

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

#exports specified using stdeb Setup-Env-Vars:
#export DH_OPTIONS=--buildsystem=python_distutils


%:
	dh $@

## bmap-tools 2.5

=== debian/changelog ===
bmap-tools (2.5-1) unstable; urgency=low

  * Initial release to Debian (Closes: #714280)
  * Set myself as Debian maintainer
  * Add debian/gbp.conf
  * Add debian/source/format
  * Add debian/watch
  * Standards-Version: 3.9.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Aug 2013 15:30:58 +0100

bmap-tools (2.5) unstable; urgency=low

  * Do not fail when lacking permisssions for accessing block device's sysfs
    files.
  * Improve debian packaging.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 05 Aug 2013 10:05:09 +0300

bmap-tools (2.4) unstable; urgency=low

  * Add support for ssh:// URLs.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 05 Jun 2013 18:15:41 +0300

bmap-tools (2.3) unstable; urgency=low

  * Add bmap file SHA1 verification, make tests work on btrfs.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 06 May 2013 10:58:32 +0300

bmap-tools (2.2) unstable; urgency=low

  * Support username and password in URLs.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 11 Mar 2013 14:40:17 +0200

bmap-tools (2.1) unstable; urgency=low

  * Fix out of memory issues when copying .bz2 files.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 18 Feb 2013 16:38:32 +0200

bmap-tools (2.0) unstable; urgency=low

  * Fix the an issue with running out of memory in TransRead.py.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Thu, 17 Jan 2013 11:33:15 +0200

bmap-tools (2.0~rc5) unstable; urgency=low

  * When block device optimzations fail - raise an exception except of muting
    the error, because we really want to know about these failures and possibly
    fix them.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Tue, 15 Jan 2013 14:51:27 +0200

bmap-tools (2.0~rc4) unstable; urgency=low

  * Fix bmap autodiscovery.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Thu, 10 Jan 2013 13:58:07 +0200

bmap-tools (2.0~rc3) unstable; urgency=low

  * Fix uncaught urllib2 exception bug introduced in rc1.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 07 Jan 2013 10:19:49 +0200

bmap-tools (2.0~rc2) unstable; urgency=low

  * Fix writing to block devices, which was broken in rc1.
  * Make the informational messages a bit nicer.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Fri, 04 Jan 2013 09:52:41 +0200

bmap-tools (2.0~rc1) unstable; urgency=low

  * Allow copying without bmap only if --nobmap was specified.
  * Auto-discover the bmap file.
  * Support reading from URLs.
  * Implement progress bar.
  * Highlight error and warning messages with red and yellow labels.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Thu, 20 Dec 2012 10:47:00 +0200

bmap-tools (1.0) unstable; urgency=low

  * Release version 1.0 of the tools - almost identical to 1.0~rc7 except of few
    minor differences like spelling fixes.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Mon, 03 Dec 2012 10:00:33 +0200

bmap-tools (1.0~rc7) unstable; urgency=low

  * Add a Fiemap.py module which implements python API to the linux FIEMAP ioct.
  * Use the FIEMAP ioctl properly and optimally.
  * Add unit-tests, current test coverage is 66%.
  * A lot of core rerafactoring.
  * Several bug fixes in 'BmapCopy' (e.g., .tar.gz format support was broken).
  * Add README and RELEASE_NOTES files.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Thu, 29 Nov 2012 12:29:39 +0200

=== debian/control ===
Source: bmap-tools
Maintainer: Simon McVittie <smcv@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7),
               python-setuptools,
Standards-Version: 3.9.4
XS-Python-Version: >= 2.7
Vcs-Git: git://anonscm.debian.org/collab-maint/bmap-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bmap-tools.git

Package: bmap-tools
Architecture: all
Depends: python (>=2.7),
         ${misc:Depends},
         ${python:Depends},
Description: tool to flash image files to block devices using the block map
 bmaptool is a generic tool for creating the block map (bmap) for a
 file, and copying files using the block map. The idea is that large
 file containing unused blocks, like raw system image files, can be
 copied or flashed a lot faster with bmaptool than with traditional
 tools like "dd" or "cp".

=== debian/watch ===
version=3
ftp://ftp.infradead.org/pub/bmap-tools/bmap-tools-([0-9.]+).tgz

## bmap-tools 3.2

=== debian/changelog ===
bmap-tools (3.2-5) unstable; urgency=medium

  * d/p/*-TransRead-Fix-differentiating-between-local-files-an.patch:
    - Added. Fix downloads from https (Closes: #831655)
  * Add myself to Uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 11 Nov 2016 15:17:42 +0100

bmap-tools (3.2-4) unstable; urgency=medium

  * Switch Vcs-Git to https (see #810378)
  * Switch Vcs-Browser to https and cgit
  * Standards-Version: 3.9.8 (no changes needed)
  * Use DEP-14 branch names debian/master, upstream/latest
  * Downgrade all decompressors (bzip2, lzop, xz-utils) to Recommends.
    Each decompressor is only used when operating on the relevant file
    format, so none are hard dependencies.
  * debian/control: normalize via "wrap-and-sort -abst"

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Jul 2016 09:44:04 +0100

bmap-tools (3.2-3) unstable; urgency=high

  * Downgrade python-gpgme from Depends to Recommends. It is only
    used if the bmap file comes with a detached signature, and is
    conditionally imported. It seems pygpgme is in danger of being removed
    from Debian testing, and it would be good to avoid losing bmap-tools.
  * Standards-Version: 3.9.6 (no changes needed)
  * Build-depend on dh-python
  * Release with high urgency to get it into testing before pygpgme is
    removed

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Jan 2016 20:15:15 +0000

bmap-tools (3.2-2) unstable; urgency=medium

  * Add patch to make the child process for transparent uncompression
    read the compressed file directly if possible, avoiding blocking
    forever in join() if the read thread does not terminate

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jun 2014 15:37:17 +0100

bmap-tools (3.2-1) unstable; urgency=low

  * New upstream release
  * Correct debian/changelog syntax in entries from upstream
  * Add some patches from upstream to improve the man page
  * Remove python-lzma from Depends, no longer used
  * Adjust dependencies on (de)compressors:
    - do not explicitly depend on gzip or tar, they're already Essential: yes
    - demote pbzip2 and pigz to Suggests, they're not strictly necessary
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2014 13:25:56 +0000

bmap-tools (3.2) unstable; urgency=low

  * Add support for LZO and archives ('.lzo' and '.tar.lzo').
  * Add support for multi-stream bzip2 archives (creted with "pbzip2").
  * Support tmpfs by using the SEEK_HOLE method instead of FIEMAP.
  * Use external tools like 'gzip' and 'bzip2' for decompressing, instead of
    using internal python libraries.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 19 Feb 2014 16:50:12 +0200

bmap-tools (3.2~rc2) unstable; urgency=low

  * Bump the version number to 3.2~rc2.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Fri, 31 Jan 2014 12:54:42 +0200

bmap-tools (3.1) unstable; urgency=low

  * Change bmap format version from 1.4 to 2.0, because there are incompatible
    changes in 1.4 comparing to 1.3, so the right version number is 2.0
  * Add backward and forward bmap format compatibility unit-tests

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Thu, 07 Nov 2013 17:26:57 +0200

bmap-tools (3.0) unstable; urgency=low

  * Switch from using SHA1 for checksumming to SHA256.
  * Start supporting OpenPGP signatures. Both detached and clearsign signatures
    are supported.
  * Always sync the image file before creating the bmap for it, to work-around
    kernel bugs in early FIEMAP implementations.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Wed, 02 Oct 2013 09:30:22 +0300

bmap-tools (2.6) unstable; urgency=low

  * Add support for on-the-fly decompression of '.xz' and '.tar.xz' files.

 -- Artem Bityutskiy <artem.bityutskiy@linux.intel.com>  Tue, 13 Aug 2013 14:53:49 +0300

=== debian/control ===
Source: bmap-tools
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Section: utils
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python-setuptools,
Standards-Version: 3.9.8
XS-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bmap-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bmap-tools.git

Package: bmap-tools
Architecture: all
Depends:
 python (>=2.7),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 bzip2,
 lzop,
 python-gpgme,
 xz-utils,
Suggests:
 pbzip2,
 pigz,
Description: tool to flash image files to block devices using the block map
 bmaptool is a generic tool for creating the block map (bmap) for a
 file, and copying files using the block map. The idea is that large
 file containing unused blocks, like raw system image files, can be
 copied or flashed a lot faster with bmaptool than with traditional
 tools like "dd" or "cp".

## bmap-tools 3.3

=== debian/changelog ===
bmap-tools (3.3) unstable; urgency=low

  * Fix rpm dependency issue for Fedora

 -- Li Jinjing <jinjingx.li@intel.com> Wed, 21 Jan 2015 10:56:15 +0800

## bmap-tools 3.4

=== debian/changelog ===
bmap-tools (3.4-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream
    - Suggest lz4 and unzip for newly-supported decompressors
    - d/copyright: Update
  * Update Vcs-* for move to salsa.debian.org
  * Standards-Version: 4.1.3 (no changes required)
  * d/gbp.conf: Merge from upstream VCS tags
  * d/watch, Homepage, Source: Follow new upstream location
  * Use Python 3 now that upstream supports it (Closes: #830877)
  * Demote python3-gpgme from Recommends to Suggests
  * Use pybuild
  * d/p/BmapHelpers.py-fix-Errno-25-Inappropriate-ioctl-for-devic.patch,
    d/p/Fix-errno-usage.patch:
    Apply some post-release bug fixes from upstream git

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Feb 2018 09:13:43 +0000

bmap-tools (3.2-6) unstable; urgency=medium

  * Standards-Version: 4.1.1
    - d/copyright: Use https URL for Format
  * Rules-Requires-Root: no
  * Move to debhelper compat level 10

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 21:08:06 +0000

=== debian/control ===
Source: bmap-tools
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Section: utils
Priority: optional
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 python3,
 python3-setuptools,
Standards-Version: 4.1.3
XS-Python-Version: >= 3.3
Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
Vcs-Browser: https://salsa.debian.org/debian/bmap-tools
Rules-Requires-Root: no
Homepage: https://github.com/intel/bmap-tools

Package: bmap-tools
Architecture: all
Depends:
 python3 (>= 3.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 bzip2,
 lzop,
 xz-utils,
Suggests:
 lz4,
 pbzip2,
 pigz,
 python3-gpgme,
 unzip,
Description: tool to flash image files to block devices using the block map
 bmaptool is a generic tool for creating the block map (bmap) for a
 file, and copying files using the block map. The idea is that large
 file containing unused blocks, like raw system image files, can be
 copied or flashed a lot faster with bmaptool than with traditional
 tools like "dd" or "cp".

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	install __main__.py debian/bmap-tools/usr/bin/bmaptool
	sed -i -e '1s,.*,#!/usr/bin/python3,' debian/bmap-tools/usr/bin/bmaptool

=== debian/watch ===
version=4
https://github.com/intel/@PACKAGE@/releases .*/@PACKAGE@-(\d+\.\S*)(?:@ARCHIVE_EXT@|\.tgz)

## bmap-tools 3.5

=== debian/changelog ===
bmap-tools (3.5-2) unstable; urgency=medium

  * d/p/Filemap-catch-StopIteration-from-next-iterator.patch:
    Fix FTBFS with Python 3.7 (Closes: #915686)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Dec 2018 15:43:52 +0000

bmap-tools (3.5-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream
    - Silences warnings with blk-mq (Closes: #906328)
  * Depend and build-depend on python3-six
  * Remove unnecessary XS-Python-Version. python3 versions < 3.3 are
    no longer supported in any supported Debian release, and in any case
    this was the wrong field (it should have been X-Python3-Version).
  * d/watch: Download GitHub's autogenerated archive files since upstream
    no longer releases a canonical signed tarball
  * Install upstream release notes as NEWS.gz (Policy §12.7)
  * Standards-Version: 4.2.1 (no further changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Sep 2018 10:19:41 +0100

bmap-tools (3.4-2) unstable; urgency=medium

  * Standards-Version: 4.1.4 (no changes required)
  * Add proposed patches from upstream pull requests to fix image
    downloading under Python 3 (Closes: #896182) and to fix downloading
    compressed files
  * debian/tests: Add a simple autopkgtest
  * debian/gbp.conf: Don't put a numbered prefix on patches

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Apr 2018 20:47:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  dh-python,
  python3,
  python3-setuptools,
-Standards-Version: 4.1.3
-XS-Python-Version: >= 3.3
+ python3-six,
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/bmap-tools
 Rules-Requires-Root: no
@@ -19,6 +19,7 @@
 Architecture: all
 Depends:
  python3 (>= 3.3),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	install -d debian/bmap-tools/usr/share/doc/bmap-tools
+	install -m644 docs/RELEASE_NOTES debian/bmap-tools/usr/share/doc/bmap-tools/NEWS
 	install __main__.py debian/bmap-tools/usr/bin/bmaptool
 	sed -i -e '1s,.*,#!/usr/bin/python3,' debian/bmap-tools/usr/bin/bmaptool

=== debian/tests/control ===
Tests: smoke
Depends: bmap-tools, dosfstools, python3
Restrictions: allow-stderr

## bmap-tools 3.6

=== debian/changelog ===
bmap-tools (3.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove version constraints unnecessary since buster (oldstable)

  [ Simon McVittie ]
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Jan 2023 12:42:44 +0000

bmap-tools (3.6-1) unstable; urgency=medium

  * New upstream release
  * d/p/test_api_base-Skip-test-if-filesystem-is-unsuitable.patch,
    d/p/Filemap-catch-StopIteration-from-next-iterator.patch:
    Drop previous patches, applied upstream
  * d/p/Correct-parameter-name-when-documenting-psplash-pipe-in-t.patch,
    d/p/Expand-documentation-of-psplash-pipe-to-specify-what-is-r.patch:
    Add patches to fix documentation of --psplash-pipe
  * d/p/TransRead-kill-subprocesses.patch,
    d/p/Do-not-use-subprocess-pipe.patch,
    d/p/TransRead-hide-useless-message.patch,
    d/p/tests-fix-test_bmap_helpers-on-non-ZFS.patch:
    Add patches from upstream to fix unit test issues
  * d/p/tests-Use-unittest.mock-from-Python-standard-library-if-p.patch,
    d/p/tests-Try-to-use-TemporaryDirectory-from-Python-standard-.patch,
    d/p/tests-Fix-import-pattern-for-mock-objects.patch:
    Add patches to avoid unnecessary external dependencies
  * d/p/tests-Pass-c-k-options-to-zstd-too.patch:
    Add patch to fix test failure
  * Use debhelper compat level 13
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 12:49:16 +0100

bmap-tools (3.5-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (no changes required)
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/p/test_api_base-Skip-test-if-filesystem-is-unsuitable.patch:
    Skip tests if the filesystem cannot support them, for example when
    building on disorderfs
  * Mark both patches as applied upstream
  * Use debhelper-compat 12
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Canonicalize case of Upstream-Name in d/copyright
  * Fix day-of-week for changelog entry 0.1.0
  * Standards-Version: 4.5.1 (no changes required)
  * Set development branch to debian/latest
  * d/tests/smoke: Remove compatibility with old autopkgtest versions
  * debian/tests: Update test web server from Flatpak

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Dec 2020 14:50:10 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/bmap-tools
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Package: bmap-tools
 Architecture: all
 Depends:
- python3 (>= 3.3),
+ python3,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

## bmap-tools 3.7

=== debian/changelog ===
bmap-tools (3.7-2) unstable; urgency=medium

  * New maintainers (Closes: #1057086).
  * Use dh-sequence-python3.
  * Do not override dh_installchangelogs, it supports CHANGELOG.md.
  * Run tests with pytest, it works just as well as nose.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 Nov 2023 16:02:46 +0100

bmap-tools (3.7-1) unstable; urgency=medium

  * New upstream release
    - This uses python3-gpg, replacing python3-gpgme (Closes: #876983)
    - The --psplash option should now work (Closes: #1034290)
  * d/clean: Fix FTBFS-twice-in-a-row by removing generated egg-info
    directory (Closes: #1044027)
  * Add Provides on bmaptool, reflecting the name of the tool in /usr/bin
    (Closes: #1032062)
  * d/patches: Drop all patches, included in new upstream release
  * d/control: Build using pyproject
  * d/rules: Update build system overrides
  * d/p/pyproject.toml-Move-nose-from-dependencies-to-dev-depende.patch:
    Add proposed patch to remove unnecessary python3-nose runtime dependency

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Sep 2023 10:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: bmap-tools
-Maintainer: Simon McVittie <smcv@debian.org>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
+Uploaders:
+ Sjoerd Simons <sjoerd@debian.org>,
 Section: utils
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
- python3-setuptools,
+ python3-gpg,
+ python3-pytest,
+ python3-poetry-core (>= 1.0.0),
  python3-six,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
@@ -30,8 +34,10 @@
  lz4,
  pbzip2,
  pigz,
- python3-gpgme,
+ python3-gpg,
  unzip,
+Provides:
+ bmaptool (= ${binary:Version}),
 Description: tool to flash image files to block devices using the block map
  bmaptool is a generic tool for creating the block map (bmap) for a
  file, and copying files using the block map. The idea is that large

=== debian/watch ===
version=4
https://github.com/intel/@PACKAGE@/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## bmap-tools 3.8.0

=== debian/changelog ===
bmap-tools (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright information and pointers to the upstream project.
  * Use faketime to work around test data signing key expiry
    (Closes: #1073434).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 17 Jun 2024 14:35:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
  pybuild-plugin-pyproject,
  python3,
  python3-gpg,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-poetry-core (>= 1.0.0),
  python3-six,
+ faketime <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/bmap-tools
 Rules-Requires-Root: no
-Homepage: https://github.com/intel/bmap-tools
+Homepage: https://github.com/yoctoproject/bmaptool
 
 Package: bmap-tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	faketime '2022-06-26 17:10:50' dh_auto_test

## bmap-tools 3.9.0

=== debian/changelog ===
bmap-tools (3.9.0-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove runtime dependency on python3-six

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 12 Apr 2025 16:37:25 +0200

bmap-tools (3.9.0-2) unstable; urgency=medium

  * no-changes -- the last dgit upload was REJECTED

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 04 Apr 2025 11:34:32 +0200

bmap-tools (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     - rename bmap-tools -> bmaptool following upstream naming (Closes:
       #1076501)
     - upstream switched from poetry to hatch
     - avoid duplicate Priority: field
  * debian/patches:
     - add copy_and_verify_image.patch (Closes: #1081336)
     - drop reproducible.patch (applied upstream)
  * debian/upstream/metadata: update to new upstream location
  * debian/rules: stop using faketime (Closes: #1085561)
  * debian/control: add myself to uploaders
  * debian/copyright: remove FSF address in favour of GPL website
  * debian/control: bump Standards-Version to 4.7.2 (no changes)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 04 Apr 2025 10:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
+ Johannes Schauer Marin Rodrigues <josch@debian.org>,
 Section: utils
 Priority: optional
 Build-Depends:
@@ -11,20 +12,28 @@
  python3,
  python3-gpg,
  python3-pytest <!nocheck>,
- python3-poetry-core (>= 1.0.0),
  python3-six,
- faketime <!nocheck>,
-Standards-Version: 4.6.2
+ python3-hatchling,
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/bmap-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/bmap-tools
 Rules-Requires-Root: no
 Homepage: https://github.com/yoctoproject/bmaptool
 
 Package: bmap-tools
+Depends: bmaptool, ${misc:Depends}
 Architecture: all
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: bmaptool
+Architecture: all
+Replaces: bmap-tools (<< 3.8.0-2)
+Breaks: bmap-tools (<< 3.8.0-2)
+Provides: bmap-tools
 Depends:
  python3,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -37,8 +46,6 @@
  pigz,
  python3-gpg,
  unzip,
-Provides:
- bmaptool (= ${binary:Version}),
 Description: tool to flash image files to block devices using the block map
  bmaptool is a generic tool for creating the block map (bmap) for a
  file, and copying files using the block map. The idea is that large

=== debian/tests/control ===
Tests: smoke
Depends: bmaptool, dosfstools, python3
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/yoctoproject/bmaptool/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
